%define github_name     idna-convert
%define composer_name   idna-convert
%define composer_vendor mso

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:		php-%{composer_vendor}-%{composer_name}
Version:	3.0.5
Release:	%mkrel 2
Summary:	Provides conversion of internationalized strings to UTF8
Group:		Development/PHP
License:	LGPLv2+
URL:		https://github.com/phlylabs/idna-convert
Source0:	https://github.com/algo26-matthias/idna-convert/archive/refs/tags/v%{version}.tar.gz
BuildArch:	noarch
Requires:	php-iconv
Requires:	php-mbstring
Requires:	php-pcre
Requires:	php-xml
BuildRequires:  php-fedora-autoloader-devel
Requires:   php-composer(fedora/autoloader)
Provides:   php-composer(%{composer_vendor}/%{composer_name}) = %{version}

%description
This converter allows you to transfer domain names between the encoded 
(Punycode) notation and the decoded (UTF-8) notation. 

Autoloader: %{php_libdir}/Mso/autoload.php

%prep
%setup -q -n %{github_name}-%{version}

%build
%{_bindir}/phpab --template fedora --output src/autoload.php src

%install
mkdir -p %{buildroot}%{php_libdir}
cp -pr src %{buildroot}/%{php_libdir}/Mso

%files
%doc LICENSE README.md composer.json
%{php_libdir}/Mso


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 3.0.5-2.mga10
+ Revision: 2214542
- Mageia 10 Mass Rebuild

* Tue Apr 19 2022 mokraemer <mokraemer> 3.0.5-1.mga9
+ Revision: 1851886
- new version 3.0.5

* Tue Mar 22 2022 umeabot <umeabot> 1.1.0-4.mga9
+ Revision: 1817418
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.0-3.mga8
+ Revision: 1498628
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.1.0-2.mga7
+ Revision: 1272999
- Mageia 7 Mass Rebuild

* Sun May 07 2017 guillomovitch <guillomovitch> 1.1.0-1.mga6
+ Revision: 1099480
- imported package php-mso-idna-convert

